# Interface DateOptions

interface DateOptions {
active: boolean;
expression: string | number;
isCustom: boolean;
literal: string | number | string[];
lowerBoundary: number;
name: string;
operator: string;
operators: string[];
propertyName: string;
type: string;
upperBoundary: number;
}

- Defined in src/rule/Date.js:28

#####
Index

### Properties

active
expression
isCustom
literal
lowerBoundary
name
operator
operators
propertyName
type
upperBoundary

## Properties

### active

active: boolean

(RuleOptions)

- Defined in src/rule/Date.js:29

### expression

expression: string | number

(RuleOptions)

- Defined in src/rule/Date.js:30

### isCustom

isCustom: boolean

(RuleOptions)

- Defined in src/rule/Date.js:32

### literal

literal: string | number | string[]

(RuleOptions)

- Defined in src/rule/Date.js:31

### lowerBoundary

lowerBoundary: number

(RuleOptions)

- Defined in src/rule/Date.js:33

### name

name: string

(RuleOptions)

- Defined in src/rule/Date.js:34

### operator

operator: string

(RuleOptions)

- Defined in src/rule/Date.js:35

### operators

operators: string[]

(RuleOptions)

- Defined in src/rule/Date.js:36

### propertyName

propertyName: string

(RuleOptions)

- Defined in src/rule/Date.js:37

### type

type: string

(RuleOptions)

- Defined in src/rule/Date.js:38

### upperBoundary

upperBoundary: number

(RuleOptions)

- Defined in src/rule/Date.js:39

Generated using TypeDoc